package client_handlers

import (
	"cpone/utils"
	client_mdcorp "cpone/views/client/mdcorp"

	"github.com/labstack/echo/v4"
)

type MdCorpService interface {
}

func NewMdCorpHandler(us MdCorpService) *MdCorpHandler {
	return &MdCorpHandler{
		MdCorpService: us,
	}
}

type MdCorpHandler struct {
	MdCorpService MdCorpService
}

func (uh *MdCorpHandler) ShowMdCorp(c echo.Context) error {
	helo := client_mdcorp.Show()
	return utils.View(c, helo)
}
